filter_flags_decoder.c File Reference

Decodes a Filter Flags field. More...

`#include "filter_decoder.h"`

## Functions

lzma_ret | lzma_filter_flags_decode (lzma_filter *filter, const lzma_allocator *allocator, const uint8_t *in, size_t *in_pos, size_t in_size)
| Decode Filter Flags from given buffer. More...

## Detailed Description

Decodes a Filter Flags field.

## Function Documentation

## lzma_filter_flags_decode()

lzma_ret lzma_filter_flags_decode | ( | lzma_filter * | filter,
|  | const lzma_allocator * | allocator,
|  | const uint8_t * | in,
|  | size_t * | in_pos,
|  | size_t | in_size
| ) |  |

Decode Filter Flags from given buffer.

The decoded result is stored into *filter. The old value of filter->options is not free()d.

Returns
  - LZMA_OK
  - LZMA_OPTIONS_ERROR
  - LZMA_MEM_ERROR
  - LZMA_PROG_ERROR